Bug 21494 - showaudio should use play as opposed to cat > /dev/audio
Summary: showaudio should use play as opposed to cat > /dev/audio
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: metamail (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-29 18:17 UTC by Jeremy Katz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-29 18:17:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2000-11-29 18:17:27 UTC
showaudio's fallback is to cat the raw audio file to /dev/audio, but it
would probably be better if it tried to use the play command from the sox
package first as a lot of sound cards these days are very limited in what
formats they support in hardware.

Comment 1 Preston Brown 2001-02-01 18:23:07 UTC
seems reasonable.  Changed in 2.7-26 and later.


Note You need to log in before you can comment on or make changes to this bug.